### Name: seqeapplysub
### Title: Applying Subsequences to Event Sequences
### Aliases: seqeapplysub
### Keywords: nonparametric

### ** Examples

#loading data
data(actcal.tse)
#creating sequences
actcal.seqe<-seqecreate(actcal.tse$id,actcal.tse$time,actcal.tse$event)
##printing sequences
actcal.seqe[1:10]

#Looking for frequent subsequences
fsubseq<-seqefsub(actcal.seqe,pMinSupport=0.01)

#counting the number of occurence of each subsequence
msubcount<-seqeapplysub(fsubseq$subseq,actcal.seqe,method="count")
#First lines...
msubcount[1:10,1:10]
#Presence-absence of each subsequence
msubpres<-seqeapplysub(fsubseq$subseq,actcal.seqe,method="presence")
#First lines...
msubpres[1:10,1:10]

#age of first appearance of each subsequence
msubage<-seqeapplysub(fsubseq$subseq,actcal.seqe,method="age")
#First lines...
msubage[1:10,1:10]

#counting the number of occurence of each subsequence in summer
msubcount<-seqeapplysub(fsubseq$subseq,actcal.seqe,method="count",ageMin=6, ageMax=9, ageMaxEnd=9)
msubcount[1:10,1:10]



