### Name: seqecmpgroup
### Title: Identifying discriminating subsequences
### Aliases: seqecmpgroup
### Keywords: nonparametric

### ** Examples

data(actcal.tse)
actcal.seqe<-seqecreate(actcal.tse$id,actcal.tse$time,actcal.tse$event)

#Searching for frequent subsequences, that is, appearing at least 20 times
fsubseq<-seqefsub(actcal.seqe,pMinSupport=0.01)

#searching for susbsequences discriminating the most men and women
data(actcal)
discr<-seqecmpgroup(fsubseq$subseq, actcal.seqe, group=actcal$sex, method="bonferroni")

#Plotting on 2 line 3 column the six most discriminating
seqefplot(fsubseq$subseq[discr$index[1:6]], actcal.seqe, group=actcal$sex, mfrow=c(2,3))




