### Name: seqefsub
### Title: Searching for frequent subsequences
### Aliases: seqefsub
### Keywords: nonparametric

### ** Examples

data(actcal.tse)
actcal.seqe<-seqecreate(actcal.tse$id,actcal.tse$time,actcal.tse$event)

#Searching for frequent subsequences, that is, appearing at least 20 times
fsubseq<-seqefsub(actcal.seqe,minSupport=20)
#The same using a percentage
fsubseq<-seqefsub(actcal.seqe,pMinSupport=0.01)
#Getting a string representation of subsequences
#Ten first subsequences
fsubseq$subseq[1:10]
#Support of this subsequences
fsubseq$support[1:10]

##Using time constraints
##Looking for subsequence starting in summer (between june and september)
fsubseq<-seqefsub(actcal.seqe,minSupport=10, ageMin=6, ageMax=9)
fsubseq$subseq[1:10]

##Looking for subsequence contained in summer (between june and september)
fsubseq<-seqefsub(actcal.seqe,minSupport=10, ageMin=6, ageMax=9, ageMaxEnd=9)
fsubseq$subseq[1:10]

##Looking for subsequence enclosed in a 6 month period and with a maximum gap of 2 month
fsubseq<-seqefsub(actcal.seqe,minSupport=10, maxGap=2, windowSize=6)
fsubseq$subseq[1:10]



